searchData={"items":[{"type":"module","title":"ExMobileDevice.Diagnostics","doc":"Services for shutting down or restarting a device.","ref":"ExMobileDevice.Diagnostics.html"},{"type":"function","title":"ExMobileDevice.Diagnostics.restart/1","doc":"Restart the specified device.","ref":"ExMobileDevice.Diagnostics.html#restart/1"},{"type":"function","title":"ExMobileDevice.Diagnostics.shutdown/1","doc":"Shutdown the specified device.","ref":"ExMobileDevice.Diagnostics.html#shutdown/1"},{"type":"function","title":"ExMobileDevice.Diagnostics.sleep/1","doc":"Send the specified device to sleep.","ref":"ExMobileDevice.Diagnostics.html#sleep/1"},{"type":"module","title":"ExMobileDevice.FileConduit","doc":"","ref":"ExMobileDevice.FileConduit.html"},{"type":"function","title":"ExMobileDevice.FileConduit.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExMobileDevice.FileConduit.html#child_spec/1"},{"type":"function","title":"ExMobileDevice.FileConduit.do_close/2","doc":"","ref":"ExMobileDevice.FileConduit.html#do_close/2"},{"type":"function","title":"ExMobileDevice.FileConduit.do_open/3","doc":"","ref":"ExMobileDevice.FileConduit.html#do_open/3"},{"type":"function","title":"ExMobileDevice.FileConduit.do_read/3","doc":"","ref":"ExMobileDevice.FileConduit.html#do_read/3"},{"type":"function","title":"ExMobileDevice.FileConduit.fclose/2","doc":"","ref":"ExMobileDevice.FileConduit.html#fclose/2"},{"type":"function","title":"ExMobileDevice.FileConduit.fopen/3","doc":"","ref":"ExMobileDevice.FileConduit.html#fopen/3"},{"type":"function","title":"ExMobileDevice.FileConduit.fread/3","doc":"","ref":"ExMobileDevice.FileConduit.html#fread/3"},{"type":"function","title":"ExMobileDevice.FileConduit.fwrite/3","doc":"","ref":"ExMobileDevice.FileConduit.html#fwrite/3"},{"type":"function","title":"ExMobileDevice.FileConduit.list_dir/2","doc":"","ref":"ExMobileDevice.FileConduit.html#list_dir/2"},{"type":"function","title":"ExMobileDevice.FileConduit.rm/2","doc":"","ref":"ExMobileDevice.FileConduit.html#rm/2"},{"type":"function","title":"ExMobileDevice.FileConduit.start_link/1","doc":"","ref":"ExMobileDevice.FileConduit.html#start_link/1"},{"type":"function","title":"ExMobileDevice.FileConduit.stat/2","doc":"","ref":"ExMobileDevice.FileConduit.html#stat/2"},{"type":"function","title":"ExMobileDevice.FileConduit.stop/1","doc":"","ref":"ExMobileDevice.FileConduit.html#stop/1"},{"type":"function","title":"ExMobileDevice.FileConduit.walk/2","doc":"","ref":"ExMobileDevice.FileConduit.html#walk/2"},{"type":"module","title":"ExMobileDevice.ImageMounter","doc":"Functions for dealing with developer disk images.","ref":"ExMobileDevice.ImageMounter.html"},{"type":"function","title":"ExMobileDevice.ImageMounter.fetch_manifest_from_tss/2","doc":"Fetch a signature for the specified device.","ref":"ExMobileDevice.ImageMounter.html#fetch_manifest_from_tss/2"},{"type":"function","title":"ExMobileDevice.ImageMounter.list_mounted/1","doc":"List mounts on the target device.","ref":"ExMobileDevice.ImageMounter.html#list_mounted/1"},{"type":"function","title":"ExMobileDevice.ImageMounter.lookup_image_signature/2","doc":"Look up the signature of the specified image.","ref":"ExMobileDevice.ImageMounter.html#lookup_image_signature/2"},{"type":"function","title":"ExMobileDevice.ImageMounter.mount/5","doc":"Mount a developer disk for an iOS 17+ device.","ref":"ExMobileDevice.ImageMounter.html#mount/5"},{"type":"function","title":"ExMobileDevice.ImageMounter.unmount/2","doc":"Unmount the disk at the specified path.","ref":"ExMobileDevice.ImageMounter.html#unmount/2"},{"type":"module","title":"ExMobileDevice.Lockdown","doc":"Communicates with `lockdownd`, an iOS daemon that holds system-wide\ninformation\n\nThe connection with the daemon is represented by a process, returned\nby calling `connect/1`. The created process monitors the caller, exiting\nif the caller exits, unless `close/1` is called first.","ref":"ExMobileDevice.Lockdown.html"},{"type":"function","title":"ExMobileDevice.Lockdown.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExMobileDevice.Lockdown.html#child_spec/1"},{"type":"function","title":"ExMobileDevice.Lockdown.close/1","doc":"Close the `lockdownd` connection.","ref":"ExMobileDevice.Lockdown.html#close/1"},{"type":"function","title":"ExMobileDevice.Lockdown.connect/1","doc":"Connect to `lockdownd` on the specified device.\n\nOn success, a process is returned that represents the connection to\n`lockdownd`. This process will exit when the caller exits, unless\n`close/1` is called first.","ref":"ExMobileDevice.Lockdown.html#connect/1"},{"type":"function","title":"Example - ExMobileDevice.Lockdown.connect/1","doc":"iex(1)> ExMobileDevice.Lockdown.connect(\"00008120-0018DEADC0DEFACE\")\n    {:ok, #PID<0.303.0>}","ref":"ExMobileDevice.Lockdown.html#connect/1-example"},{"type":"function","title":"ExMobileDevice.Lockdown.get_info/2","doc":"Retrieve data from `lockdownd`.\n\nThe caller may provide the following options:\n- `:domain` - The domain of the query\n- `:key` - A specific key\n\nOn success, the caller will return a map of the requested properties.\n\nIf no session has yet been started on the connection (see\n`start_session/1`), only a very limited subset of properties will be\nreturned.","ref":"ExMobileDevice.Lockdown.html#get_info/2"},{"type":"function","title":"Example - ExMobileDevice.Lockdown.get_info/2","doc":"iex(1)> {:ok, conn} = ExMobileDevice.Lockdown.connect(\"00008120-0018DEADC0DEFACE\")\n    {:ok, #PID<0.303.0>}\n    iex(2)> ExMobileDevice.Lockdown.get_info(conn)\n    {:ok, %{\n      # ... elided ...\n    }}","ref":"ExMobileDevice.Lockdown.html#get_info/2-example"},{"type":"function","title":"ExMobileDevice.Lockdown.start_service/3","doc":"Start a service on the device.\n\nOn success, the function returns a map containing the following keys:\n- `:port` - the port that the service is listening on\n- `:ssl` - a flag indicating whether an authenticated connection is required\n\nThe caller should then establish _another_ connection to `usbmuxd` (via\n`ExMobileDevice.Muxd.connect/0`) and use this to connect through to the\nspecified port (via `ExMobileDevice.Muxd.connect_thru/3`). If an authenticated\nconnection is required, `ExMobileDevice.Ssl.connect/2` may be used to secure\nthe connection\n\nThis function requires that an authenticated session has already been\nstarted on the connection.\n\nAdditional service-specific options may be passed in `opts`.","ref":"ExMobileDevice.Lockdown.html#start_service/3"},{"type":"function","title":"Example - ExMobileDevice.Lockdown.start_service/3","doc":"iex(1)> {:ok, conn} = ExMobileDevice.Lockdown.connect(\"00008120-0018DEADC0DEFACE\")\n    {:ok, #PID<0.215.0>}\n    iex(2)> ExMobileDevice.Lockdown.start_session(conn)\n    :ok\n    iex(3)> ExMobileDevice.Lockdown.start_service(conn, \"com.apple.mobile.diagnostics_relay\")\n    {:ok, %{port: 50933, ssl: true}}","ref":"ExMobileDevice.Lockdown.html#start_service/3-example"},{"type":"function","title":"ExMobileDevice.Lockdown.start_session/1","doc":"Start an authenticated session with lockdownd.\n\nOn success, the connection process is now authenticated with the device\nand may perform privileged device operations such as retrieving sensitive\ninformation and/or starting further services.","ref":"ExMobileDevice.Lockdown.html#start_session/1"},{"type":"function","title":"ExMobileDevice.Lockdown.stop_session/1","doc":"Terminate the current authenticated session.","ref":"ExMobileDevice.Lockdown.html#stop_session/1"},{"type":"module","title":"ExMobileDevice.Muxd","doc":"Device management through `usbmuxd`.\n\nThis module provides support for:\n\n- Listing the currently connected devices\n- Subscribing for device arrival/departure\n- Fetching the pairing record of a specified device\n- Starting, and connecting to, various device services","ref":"ExMobileDevice.Muxd.html"},{"type":"function","title":"ExMobileDevice.Muxd.connect/0","doc":"Connect to `usbmuxd`.\n\nOn success, a process is returned that encapsulates the connection and\nmonitors the caller of this function, exiting if the caller exits.\n\nThis process may be used to:\n\n- Retrieve pairing records from `usbmuxd`. See `get_pair_record/2`.\n- Connect to other services on the device. See `connect_thru/3`.","ref":"ExMobileDevice.Muxd.html#connect/0"},{"type":"function","title":"Example - ExMobileDevice.Muxd.connect/0","doc":"iex(1)> ExMobileDevice.Muxd.connect()\n    {:ok, #PID<0.212.0>}","ref":"ExMobileDevice.Muxd.html#connect/0-example"},{"type":"function","title":"ExMobileDevice.Muxd.connect_thru/3","doc":"Connect to the specified port on the specified device.\n\nOn success, the connected socket is returned to the caller, and the caller becomes\nits [controlling process](https://www.erlang.org/doc/man/gen_tcp#controlling_process-2).\n\n> ##","ref":"ExMobileDevice.Muxd.html#connect_thru/3"},{"type":"function","title":"Conn shutdown {: .info} - ExMobileDevice.Muxd.connect_thru/3","doc":">\n> Once the underlying socket has been connected through to the specific device port\n> and returned to the caller, it can no longer be used to communicate with `usdbmuxd`\n> again and the process represented by `conn` will automatically stop after returning.","ref":"ExMobileDevice.Muxd.html#connect_thru/3-conn-shutdown-info"},{"type":"function","title":"Example - ExMobileDevice.Muxd.connect_thru/3","doc":"iex(1)> {:ok, conn} = ExMobileDevice.Muxd.connect()\n    {:ok, #PID<0.200.0>}\n    iex(2)> {:ok, sock} = ExMobileDevice.Muxd.connect_thru(conn, \"00008120-0018DEADC0DEFACE\", 62078) # lockdownd\n    {:ok, #Port<0.4>}\n    iex(3)> Process.alive?(conn)\n    false","ref":"ExMobileDevice.Muxd.html#connect_thru/3-example"},{"type":"function","title":"ExMobileDevice.Muxd.get_location_id/1","doc":"Returns the _platform-dependent_ 'location id' of the specified\ndevice, or `nil` if no such device is attached.\n\nOn Linux, the 32-bit integer returned is composed of the USB\nbus number (high 16 bits) and USB device number (low 16 bits).\nOn OSX, the integer can be used to form a name that can be used\nto find the device vis the IORegistry.\n\nThis function can be useful when locating the device in the host's\ndevice tree.","ref":"ExMobileDevice.Muxd.html#get_location_id/1"},{"type":"function","title":"Example - ExMobileDevice.Muxd.get_location_id/1","doc":"iex(1)> ExMobileDevice.Muxd.get_location_id(\"00008120-0018DEADC0DEFACE\")\n    1048576","ref":"ExMobileDevice.Muxd.html#get_location_id/1-example"},{"type":"function","title":"ExMobileDevice.Muxd.get_pair_record/2","doc":"Retrieve the pairing record for the specified device.","ref":"ExMobileDevice.Muxd.html#get_pair_record/2"},{"type":"function","title":"Example - ExMobileDevice.Muxd.get_pair_record/2","doc":"iex(1)> {:ok, pid} = ExMobileDevice.Muxd.connect()\n    {:ok, #PID<0.199.0>}\n    iex(2)> ExMobileDevice.Muxd.get_pair_record(pid, \"00008120-0018DEADC0DEFACE\")\n    {:ok,\n    %{\n      \"DeviceCertificate\" => \"-----BEGIN CERTIFICATE----- ... elided ...\"\n    }}","ref":"ExMobileDevice.Muxd.html#get_pair_record/2-example"},{"type":"function","title":"ExMobileDevice.Muxd.list_devices/0","doc":"List the currently connected devices.","ref":"ExMobileDevice.Muxd.html#list_devices/0"},{"type":"function","title":"Example - ExMobileDevice.Muxd.list_devices/0","doc":"iex(1)> ExMobileDevice.Muxd.list_devices()\n    []\n    iex(2)> # Plug a device in!\n    nil\n    iex(3)> ExMobileDevice.Muxd.list_devices()\n    [\"00008120-0018DEADC0DEFACE\"]","ref":"ExMobileDevice.Muxd.html#list_devices/0-example"},{"type":"function","title":"ExMobileDevice.Muxd.subscribe/0","doc":"Subscribe for device arrival and departure.\n\nOn success, this function returns the list of devices present at the\ntime of subscription. Any device notifications received subsequently\nare guaranteed to have happened after this snapshot.\n\nThe subscription is automatically removed when the subscriber exits.\n\n> ##","ref":"ExMobileDevice.Muxd.html#subscribe/0"},{"type":"function","title":"Multiple subscriptions {: .info} - ExMobileDevice.Muxd.subscribe/0","doc":">\n> Multiple subscriptions from the same process will result in duplicate\n> events being delivered to that process\n\nDevice events are sent to the subscribing process and have the form:\n\n```elixir\n{:exmobiledevice, {:device_attached, device_id}} # device arrivals\n{:exmobiledevice, {:device_detached, device_id}} # device departures\n```\n\nAdditionally, if the connection to `usbmuxd` itself is lost (or recovered),\nthe subscribing process will receive the following messages:\n\n```elixir\n{:exmobiledevice, :disconnected} # On disconnection\n{:exmobiledevice, :connected}    # On reconnection\n{:exmobiledevice, {:device_attached, device_id}} # For each connected device, on reconnection\n```","ref":"ExMobileDevice.Muxd.html#subscribe/0-multiple-subscriptions-info"},{"type":"function","title":"Example - ExMobileDevice.Muxd.subscribe/0","doc":"iex(1)> ExMobileDevice.Muxd.subscribe()\n    {:ok, []}\n    iex(2)> # Plug a device in!\n    nil\n    iex(3)> flush\n    {:exmobiledevice, {:device_attached, \"00008120-0018DEADC0DEFACE\"}}\n    :ok\n    iex(4)> # Unplug the device!\n    nil\n    iex(5)> flush\n    {:exmobiledevice, {:device_detached, \"00008120-0018DEADC0DEFACE\"}}\n    :ok","ref":"ExMobileDevice.Muxd.html#subscribe/0-example"},{"type":"module","title":"ExMobileDevice.RemoteServer","doc":"","ref":"ExMobileDevice.RemoteServer.html"},{"type":"function","title":"ExMobileDevice.RemoteServer.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExMobileDevice.RemoteServer.html#child_spec/1"},{"type":"function","title":"ExMobileDevice.RemoteServer.start/1","doc":"","ref":"ExMobileDevice.RemoteServer.html#start/1"},{"type":"function","title":"ExMobileDevice.RemoteServer.start_link/1","doc":"","ref":"ExMobileDevice.RemoteServer.html#start_link/1"},{"type":"function","title":"ExMobileDevice.RemoteServer.stop/1","doc":"","ref":"ExMobileDevice.RemoteServer.html#stop/1"},{"type":"type","title":"ExMobileDevice.RemoteServer.t/0","doc":"","ref":"ExMobileDevice.RemoteServer.html#t:t/0"},{"type":"module","title":"ExMobileDevice.Ssl","doc":"SSL/TLS helper functions.\n\nThis module contains a helper function, `connect/2` that can be used\nto authenticate an _existing_ `:gen_tcp` socket.","ref":"ExMobileDevice.Ssl.html"},{"type":"function","title":"ExMobileDevice.Ssl.connect/2","doc":"Authenticate an existing connection, using a pair-record.\n\nOn success, returns an `:ssl` socket.","ref":"ExMobileDevice.Ssl.html#connect/2"},{"type":"module","title":"ExMobileDevice.Syslog","doc":"Reading syslogs.","ref":"ExMobileDevice.Syslog.html"},{"type":"function","title":"ExMobileDevice.Syslog.open_raw/1","doc":"Connect to the raw syslog.\n\nOn success, this function will return an (ssl) socket that can be read\nto retrieve the current syslog entries.\n\n> ##","ref":"ExMobileDevice.Syslog.html#open_raw/1"},{"type":"function","title":"Raw syslog format {: .info} - ExMobileDevice.Syslog.open_raw/1","doc":">\n> This function makes no attempt to parse the contents of the syslog.\n> The underlying transport is returned directly to the caller, who's\n> responsibility it is read the syslog stream.\n>\n> Each entry in the stream is a line terminated by _both_ a newline\n> and a NUL.","ref":"ExMobileDevice.Syslog.html#open_raw/1-raw-syslog-format-info"},{"type":"module","title":"ExMobileDevice.WebInspector","doc":"Functions for controlling Mobile Safari.\n\nThis module provides a means of controlling Safari, without requiring SafariDriver.\nStarting an instance of this process will create a connection to an automated safari\ninstance, on the specified device.","ref":"ExMobileDevice.WebInspector.html"},{"type":"module","title":"Example - ExMobileDevice.WebInspector","doc":"iex(1)> alias ExMobileDevice.WebInspector\n    ExMobileDevice.WebInspector\n    iex(2)> {:ok, pid} = WebInspector.start_supervised(\"00008120-0018DEADC0DEFACE\")\n    {:ok, #PID<0.208.0>}\n    iex(3)> {:ok, page} = WebInspector.create_page(pid)\n    {:ok, \"page-7102B011-5BC0-4785-87DF-ADBA671EAD74\"}\n    iex(4)> WebInspector.navigate_to(pid, page, \"https://elixir-lang.org\")\n    :ok","ref":"ExMobileDevice.WebInspector.html#module-example"},{"type":"function","title":"ExMobileDevice.WebInspector.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExMobileDevice.WebInspector.html#child_spec/1"},{"type":"function","title":"ExMobileDevice.WebInspector.close_page/2","doc":"Close the specified page.","ref":"ExMobileDevice.WebInspector.html#close_page/2"},{"type":"function","title":"ExMobileDevice.WebInspector.create_page/1","doc":"Create a new automation page.","ref":"ExMobileDevice.WebInspector.html#create_page/1"},{"type":"function","title":"ExMobileDevice.WebInspector.go_back/2","doc":"Go to the previous url in the page's history.","ref":"ExMobileDevice.WebInspector.html#go_back/2"},{"type":"function","title":"ExMobileDevice.WebInspector.go_forward/2","doc":"Go to the next url in the page's history.","ref":"ExMobileDevice.WebInspector.html#go_forward/2"},{"type":"function","title":"ExMobileDevice.WebInspector.list_pages/1","doc":"List the current automation pages.","ref":"ExMobileDevice.WebInspector.html#list_pages/1"},{"type":"function","title":"ExMobileDevice.WebInspector.navigate_to/4","doc":"Navigate the specified page to the provided url.\n\nSupported options are:\n\n- `timeout`: The page-load timeout in milliseconds. Defaults to 30_000 (30 seconds)","ref":"ExMobileDevice.WebInspector.html#navigate_to/4"},{"type":"function","title":"ExMobileDevice.WebInspector.reload/2","doc":"Reload the page's current url.","ref":"ExMobileDevice.WebInspector.html#reload/2"},{"type":"function","title":"ExMobileDevice.WebInspector.set_controlling_process/2","doc":"Transfer ownership to the specified process.\n\nTransfers controlling ownership of `pid` to `cp`. The caller must be the\ncurrent owner.","ref":"ExMobileDevice.WebInspector.html#set_controlling_process/2"},{"type":"function","title":"ExMobileDevice.WebInspector.start_supervised/1","doc":"Create a supervised connection to the 'webinspector' service on the device.\n\nThe connection is supervised by an internal supervision tree of `exmobiledevice`.\nTo manually stop the connection, call `stop/1`.\n\n> ##","ref":"ExMobileDevice.WebInspector.html#start_supervised/1"},{"type":"function","title":"Controlling Process {: .info} - ExMobileDevice.WebInspector.start_supervised/1","doc":">\n> On success, the caller is the 'controlling process' of the connection. Should\n> the caller exit for any reason, the connection will also exit, which will\n> in turn tear down the automation pages.\n>\n> To transfer control to another process, call `set_controlling_process/2`.","ref":"ExMobileDevice.WebInspector.html#start_supervised/1-controlling-process-info"},{"type":"function","title":"ExMobileDevice.WebInspector.stop/1","doc":"Stop the webinspector process.\n\nStopping the process will terminate the connection to the webinspector service\non the device, which will remove any automation pages from Safari.","ref":"ExMobileDevice.WebInspector.html#stop/1"},{"type":"function","title":"ExMobileDevice.WebInspector.switch_to_page/2","doc":"Switch to the specified page.","ref":"ExMobileDevice.WebInspector.html#switch_to_page/2"},{"type":"function","title":"ExMobileDevice.WebInspector.take_screenshot/2","doc":"Take a screenshot of the current page, returning the bytes in PNG format.","ref":"ExMobileDevice.WebInspector.html#take_screenshot/2"},{"type":"function","title":"ExMobileDevice.WebInspector.wait_for_session/2","doc":"Wait for the session to be created.","ref":"ExMobileDevice.WebInspector.html#wait_for_session/2"},{"type":"extras","title":"ExMobileDevice","doc":"# ExMobileDevice\n\nAn OTP application to talk to iPhones via `usbmuxd` on OSX and Linux.\n\nCurrent functionality is minimal but includes:\n\n- Device enumeration and notification of attach/detach (`ExMobileDevice.Muxd`)\n- Retrieval of device configuration (`ExMobileDevice.Lockdown`)\n- Device reboot and shutdown (`ExMobileDevice.Diagnostics`)\n- Syslog streaming (`ExMobileDevice.Syslog`)\n- WebInspector support - automate browsing sessions without SafariDriver -\n  (`ExMobileDevice.WebInspector`)\n\nPlanned for future releases:\n\n- Application management (install, run)\n- Device pairing\n\nContributions are welcome.","ref":"readme.html"},{"type":"extras","title":"Installation - ExMobileDevice","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `exmobiledevice` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:exmobiledevice, \"~> 0.2.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Acknowledgements - ExMobileDevice","doc":"- Most of the heavy lifting has been done by [pymobiledevice3](https://github.com/doronz88/pymobiledevice3). Give it a star.","ref":"readme.html#acknowledgements"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.2.6 - 2024-02-27 - Changelog","doc":"#","ref":"changelog.html#0-2-6-2024-02-27"},{"type":"extras","title":"Enhancements - Changelog","doc":"* Add DDI mounting support\n\n#","ref":"changelog.html#enhancements"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix muxd framing issue","ref":"changelog.html#fixes"},{"type":"extras","title":"0.2.5 - 2024-02-22 - Changelog","doc":"#","ref":"changelog.html#0-2-5-2024-02-22"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix controlling process handling","ref":"changelog.html#fixes"},{"type":"extras","title":"0.2.4 - 2024-02-22 - Changelog","doc":"#","ref":"changelog.html#0-2-4-2024-02-22"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix state management in ExMobileDevice.WebInspector","ref":"changelog.html#fixes"},{"type":"extras","title":"0.2.3 - 2024-02-20 - Changelog","doc":"#","ref":"changelog.html#0-2-3-2024-02-20"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix call to ExMobileDevice.Muxd.connect/0","ref":"changelog.html#fixes"},{"type":"extras","title":"0.2.2 - 2024-02-20 - Changelog","doc":"#","ref":"changelog.html#0-2-2-2024-02-20"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix default configuration","ref":"changelog.html#fixes"},{"type":"extras","title":"0.2.1 - 2024-02-17 - Changelog","doc":"#","ref":"changelog.html#0-2-1-2024-02-17"},{"type":"extras","title":"Fixes - Changelog","doc":"* Fix root page in docs","ref":"changelog.html#fixes"},{"type":"extras","title":"0.2.0 - 2024-02-17 - Changelog","doc":"#","ref":"changelog.html#0-2-0-2024-02-17"},{"type":"extras","title":"Enhancements - Changelog","doc":"* [ExMobileDevice.WebInspector] Automate web-browsing","ref":"changelog.html#enhancements"},{"type":"extras","title":"0.1.0 - 2024-02-05 - Changelog","doc":"#","ref":"changelog.html#0-1-0-2024-02-05"},{"type":"extras","title":"Initial revision - Changelog","doc":"* [ExMobileDevice.Muxd] Device enumeration and notification of attach/detach\n  * [ExMobileDevice.Lockdown] Retrieval of device configuration\n  * [ExMobileDevice.Diagnostics] Device reboot and shutdown\n  * [ExMobileDevice.Syslog] Syslog streaming","ref":"changelog.html#initial-revision"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2023 ausimian\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown"}